1. Store
Attribuly Developers
  • Public API
    • API Authentication Guide
    • Attribution
      • All
        • Get attribution report
        • Get total numbers
      • Ads
        • Channel/Campaign/Ad-set/Ad level ads attribution
        • list all customer level details
        • Customer level report for a specific campaign
      • Product analytics
        • List product analytics
        • List total data for product analysis
        • Attribution report for a single product
        • Total attribution report for a single product
      • Web Analytics
        • Web Analytics
        • Get total numbers
    • Tracking links
      • Influencer
      • Link Builder
    • Store
      • Raw Events
        POST
      • Customer journey of an order
        POST
      • Order First & Last Touchpoint of an order
        POST
      • Event summary of a landing page
        POST
    • Setting
      • Attribution models
      • Conversion Goals
    • Connections
      • List Source
      • List Destination
  • Push data to Attribuly
    • Quick Start
    • Events
      • Page viewed
      • Cart viewed
      • Product viewed
      • Collection viewed
      • Search submitted
      • Product added to cart
      • Product removed to cart
      • Lead form
      • Checkout started
      • Payment info submitted
      • Checkout completed
      • Checkout address info submitted
      • Checkout contact info submitted
      • Checkout shipping info submitted
      • Basic
        • Checkout
        • Context
        • Document
        • MailAddress
        • Navigator
        • Window
    • Store
      • Order
      • Customers
      • Products
  • Attribuly MCP Server
    • MCP Configure
  1. Store

Order First & Last Touchpoint of an order

prod
https://data.api.attribuly.com
prod
https://data.api.attribuly.com
POST
/{version}/api/order/attribution-touch

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟢200Failed
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://data.api.attribuly.com/v2-4-2/api/order/attribution-touch' \
--header 'ApiKey;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "order_ids": [
        "string"
    ]
}'
Response Response Example
200 - Success - Success
{
    "code": 1,
    "message": "Service succeed",
    "data": [
        {
            "order_id": "5154874786005",
            "first_touchpoint": {
                "campaign": "direct/--",
                "channel": "direct",
                "source": "direct",
                "medium": "--",
                "time": "2023-03-29 07:25:56"
            },
            "last_touchpoint": {
                "campaign": "direct/--",
                "channel": "direct",
                "source": "direct",
                "medium": "--",
                "time": "2023-03-29 07:25:56"
            }
        }
    ]
}
Modified at 2026-03-16 10:10:01
Previous
Customer journey of an order
Next
Event summary of a landing page
Built with